#ifndef SQUARE_H
#define SQUARE_H

#define SQUARE_SIZE 20
#define WINDOW_WIDTH 800
#define WINDOW_HEIGHT 600
#define MENU_WIDTH (SQUARE_SIZE*2)
#define GRID_WIDTH ((WINDOW_WIDTH-MENU_WIDTH)/SQUARE_SIZE)
#define GRID_HEIGHT (WINDOW_HEIGHT/SQUARE_SIZE)

#include "sprite.h"
#include "unit.h"

struct square {
    unsigned int rock;
    unsigned int cristal;
    unsigned int powergem;
    float cristal_per_rock;

    square();
    square(unsigned int rock);
    bool is_passable();
    void mine(struct unit * unit);
    void draw(SDL_Renderer * renderer, unsigned int x, unsigned int y);
};

#endif // SQUARE_H
